# Interface ICefV8StackTrace

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefV8StackTrace = interface(ICefBaseRefCounted)`

## Description

Interface representing a V8 stack trace handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_trace_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefV8StackTrace

## Overview

### Methods

| `function IsValid: Boolean;`
| `function GetFrameCount: Integer;`
| `function GetFrame(index: Integer): ICefV8StackFrame;`

### Properties

| `property FrameCount : Integer read GetFrameCount;`
| `property Frame[index: Integer]: ICefV8StackFrame read GetFrame;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{32111C84-B7F7-4E3A-92B9-7CA1D0ADB613}']

| `function GetFrameCount: Integer;`
Returns the number of stack frames.

| `function GetFrame(index: Integer): ICefV8StackFrame;`
Returns the stack frame at the specified 0-based index.

### Properties

| `property FrameCount : Integer read GetFrameCount;`
Returns the number of stack frames.

| `property Frame[index: Integer]: ICefV8StackFrame read GetFrame;`
Returns the stack frame at the specified 0-based index.

Generated by PasDoc 0.16.0-snapshot.